%{
#include<stdio.h>
#include<strings.h>
#include"conf.h"

/*  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**  
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**  
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#define yyerror(s)

extern int maxpar;
extern int numserver;
extern char *server[];
extern int port[];
extern int numlog;
extern char *log[];
extern int reps;
extern int timeout;
extern int itimeout;
extern int proxy;

%}

%token SERVER
%token MAXPAR
%token LOG
%token INT
%token STRING
%token ITIMEOUT
%token TIMEOUT
%token REPEAT
%token PROXY

%%
config	: config_list
	;

config_list :	config_line
	| config_list config_line
	;

config_line: SERVER STRING {server[numserver]=strdup(yytext);} INT {port[numserver++]=returnedint;}
	| LOG STRING {log[numlog++]=strdup(yytext);}
	| MAXPAR INT {maxpar=returnedint;}
	| ITIMEOUT INT {itimeout=returnedint;}
	| TIMEOUT INT {timeout=returnedint;}
	| REPEAT INT {reps=returnedint;}
        | PROXY INT {proxy=returnedint;}
	;
